ALAS-2019-1235


Amazon Linux AMI Security Advisory: ALAS-2019-1235
Advisory Release Date: 2019-07-25 18:35 Pacific
Severity: Low
References: CVE-2019-0221 

Issue Overview:

The SSI printenv command in Apache Tomcat echoes user provided data without escaping and is, therefore, vulnerable to XSS. SSI is disabled by default. The printenv command is intended for debugging and is unlikely to be present in a production website. (CVE-2019-0221 )


Affected Packages:

tomcat7


Issue Correction:
Run yum update tomcat7 to update your system.

New Packages:
noarch:
    tomcat7-admin-webapps-7.0.94-1.35.amzn1.noarch
    tomcat7-jsp-2.2-api-7.0.94-1.35.amzn1.noarch
    tomcat7-7.0.94-1.35.amzn1.noarch
    tomcat7-docs-webapp-7.0.94-1.35.amzn1.noarch
    tomcat7-javadoc-7.0.94-1.35.amzn1.noarch
    tomcat7-el-2.2-api-7.0.94-1.35.amzn1.noarch
    tomcat7-log4j-7.0.94-1.35.amzn1.noarch
    tomcat7-servlet-3.0-api-7.0.94-1.35.amzn1.noarch
    tomcat7-lib-7.0.94-1.35.amzn1.noarch
    tomcat7-webapps-7.0.94-1.35.amzn1.noarch

src:
    tomcat7-7.0.94-1.35.amzn1.src